#!/bin/bash

(return 0 2>/dev/null) && SOURCED=1 || SOURCED=0
if [[ $SOURCED == 0 ]]; then
    echo "This script must be sourced, not invoked directly"
    exit 1
fi

if [[ -z "$PUSHED_REF" ]]; then
    echo "PUSHED_REF must be set!"
    exit 1
elif ! [[ "$PUSHED_REF" = refs/heads/* ]]; then
    echo "PUSHED_REF ($PUSHED_REF) is not a branch, bailing out"
    exit 0
fi

COMPONENT_TARGET_BRANCH="${PUSHED_REF#refs/heads/}"

if [[ "$USE_NEXT_BRANCHES" == 1 ]]; then
    DEFAULT_BRANCH_LIST=(
        next-develop
        develop
        next-master
        master
    )
    BRANCH_LIST=(
        "next-${COMPONENT_TARGET_BRANCH}"
        "${COMPONENT_TARGET_BRANCH}"
        "${DEFAULT_BRANCH_LIST[@]}"
    )
else
    DEFAULT_BRANCH_LIST=(
        develop
        master
    )
    BRANCH_LIST=(
        "${COMPONENT_TARGET_BRANCH}"
        "${DEFAULT_BRANCH_LIST[@]}"
    )
fi
