#!/bin/false
# Sets up SSH keys

(return 0 2>/dev/null) && SOURCED=1 || SOURCED=0
if [[ $SOURCED == 0 ]]; then
    echo "This script must be sourced, not invoked directly"
    exit 1
fi

# Be careful not to echo the private key,
# and to restore xtrace if it was set previously
if set -o | grep xtrace.*off >/dev/null; then
    PREV_XTRACE=+x
else
    PREV_XTRACE=-x
    echo "Temporarily disabling xtrace to register deploy SSH key"
fi
set +x

if [[ -n "$SSH_PRIVATE_KEY" ]]; then
    echo "Installing SSH private key"
    eval "$(ssh-agent -s)"
    echo "$SSH_PRIVATE_KEY" | tr -d '\r' | ssh-add -
    unset SSH_PRIVATE_KEY
    mkdir -p ~/.ssh
    chmod 700 ~/.ssh

    # Disable checking the host key
    if ! [[ -e ~/.ssh/config ]]; then
        cat > ~/.ssh/config <(
            echo "Host *"
            echo "    StrictHostKeyChecking no"
            echo "    UserKnownHostsFile /dev/null"
        )
    fi
fi

set "$PREV_XTRACE"
